package io.zipcoder.polymorphism;

public abstract class Pet {

   private String name;
   private int age;
   private static int counter = 0;


   // constructor

    public Pet() {
        counter++;
        System.out.println("counter = " + counter);
    }

    public Pet(String name, int age) {
        this.name = name;
        this.age = age;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public int getAge() {
        return age;
    }

    public void setAge(int age) {
        this.age = age;
    }

    public static void hi() {
        System.out.println("hi");
    }

    //methods

    public abstract String speak();


}

